Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgrapht.graph
Class DefaultDirectedWeightedGraph<V,E>

    java.lang.Object
      org.jgrapht.graph.AbstractGraph<V,E>
          org.jgrapht.graph.AbstractBaseGraph<V,E>
              org.jgrapht.graph.DefaultDirectedGraph<V,E>
                  org.jgrapht.graph.DefaultDirectedWeightedGraph<V,E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, DirectedGraph<V,E>, Graph<V,E>, WeightedGraph<V,E>

    public class DefaultDirectedWeightedGraph<V,E>

extends DefaultDirectedGraph<V,E>
implements WeightedGraph<V,E>

A directed weighted graph. A directed weighted graph is a non-simple directed graph in which multiple edges between any two vertices are not permitted, but loops are. The graph has weights on its edges.

prefixed 'Default' to avoid name collision with the DirectedWeightedGraph interface.

See Also:
  `DefaultDirectedGraph`, Serialized Form

Field Summary

Fields inherited from interface org.jgrapht.WeightedGraph
`DEFAULT_EDGE_WEIGHT`

Constructor Summary
`DefaultDirectedWeightedGraph(java.lang.Class<? extends E> edgeClass)` Creates a new directed weighted graph.
`DefaultDirectedWeightedGraph(EdgeFactory<V,E> ef)` Creates a new directed weighted graph with the specified edge factory.

Method Summary

Methods inherited from class org.jgrapht.graph.AbstractBaseGraph
`addEdge, addEdge, addVertex, clone, containsEdge, containsVertex, degreeOf, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, incomingEdgesOf, inDegreeOf, isAllowingLoops, isAllowingMultipleEdges, outDegreeOf, outgoingEdgesOf, removeEdge, removeEdge, removeVertex, setEdgeSetFactory, setEdgeWeight, vertexSet`

Methods inherited from class org.jgrapht.graph.AbstractGraph
`assertVertexExist, containsEdge, removeAllEdges, removeAllEdges, removeAllEdges, removeAllVertices, toString, toStringFromSets`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jgrapht.WeightedGraph
`setEdgeWeight`

Methods inherited from interface org.jgrapht.Graph
`addEdge, addEdge, addVertex, containsEdge, containsEdge, containsVertex, edgeSet, edgesOf, getAllEdges, getEdge, getEdgeFactory, getEdgeSource, getEdgeTarget, getEdgeWeight, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, vertexSet`

Methods inherited from interface org.jgrapht.DirectedGraph
`incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf`

Constructor Detail

### DefaultDirectedWeightedGraph

    public DefaultDirectedWeightedGraph(java.lang.Class<? extends E> edgeClass)

  Creates a new directed weighted graph.

  Parameters:
    `edgeClass` - class on which to base factory for edges

### DefaultDirectedWeightedGraph

    public DefaultDirectedWeightedGraph(EdgeFactory<V,E> ef)

  Creates a new directed weighted graph with the specified edge factory.

  Parameters:
    `ef` - the edge factory of the new graph.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD